Bug 478345 - Review Request: mr - A multiple repository management tool
Review Request: mr - A multiple repository management tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-28 09:17 EST by Fabian Affolter
Modified: 2011-09-09 12:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-23 21:33:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sven: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-28 09:17:44 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/mr.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/mr-0.35-1.fc9.src.rpm

Project URL: http://kitenet.net/~joey/code/mr/

Description:
The mr command can checkout, update, or perform other actions on
a set of repositories as if they were one combined respository. It
supports any combination of subversion, git, cvs, mecurial, bzr and
darcs repositories, and support for other revision control systems
can easily be added. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1023509

rpmlint output:
[fab@laptop024 noarch]$ rpmlint mr-0.35-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint mr-0.35-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Sven Lankes 2008-12-28 19:42:56 EST
mr help doesn't work - it tries to call man -l which doesn't exist in the current fedora man-command.

It's probably easiest to just patch out the output of "use mr help for man page"
Comment 2 Fabian Affolter 2009-01-02 09:36:12 EST
I patched the '-l' parameter out. This way the users still use 'mr help'

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/mr.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/mr-0.35-2.fc9.src.rpm
Comment 3 Sven Lankes 2009-01-02 14:07:04 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f11/i386
 [x] Rpmlint output: all clean
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: f85d3b5fe50a2b2df278a143892e5d81967eb9d5 mr_0.35.tar.gz
 [-] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.

 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} 
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: f10/i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.

*** APPROVED ***
Comment 4 Fabian Affolter 2009-01-02 14:45:10 EST
New Package CVS Request
=======================
Package Name: mr
Short Description: A multiple repository management tool
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-01-04 15:37:38 EST
cvs done.
Comment 6 Fabian Affolter 2009-01-04 18:08:25 EST
Thanks for reviewing and the cvs.
Comment 7 Fedora Update System 2009-01-04 18:09:45 EST
mr-0.35-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mr-0.35-2.fc10
Comment 8 Fedora Update System 2009-01-04 18:09:51 EST
mr-0.35-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mr-0.35-2.fc9
Comment 9 manuel wolfshant 2009-01-04 18:22:34 EST
I apologize for coming late in the game, but the name of the package and of the files that it installs (binary, man) violates http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Use_of_common_namespace
Comment 10 Sven Lankes 2009-01-05 03:08:57 EST
(In reply to comment #9)

> I apologize for coming late in the game, but the name of the package and of the
> files that it installs (binary, man) violates
> http://fedoraproject.org/wiki/PackageMaintainersPackaging_Tricks#Use_of_common_namespace

Are you aware of any other tool being named "mr" or is your remark just on the two character name?

mr is a pretty well established tool that fits well in the unix philosophy and thus I'd say that ignoring that 'packaging trick' is acceptable in this case - unless there are conflicts of course.
Comment 11 manuel wolfshant 2009-01-05 03:24:59 EST
No, for the moment I am not aware of any other tool with the same name, that is if we ignore http://www.dbmsmag.com/9706d07.html :)
The remark was just on the two character name and the scarcity of this resource.
Comment 12 Fedora Update System 2009-01-07 04:13:21 EST
mr-0.35-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update mr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-0070
Comment 13 Fedora Update System 2009-01-07 04:37:57 EST
mr-0.35-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0238
Comment 14 Fedora Update System 2009-01-23 21:33:23 EST
mr-0.35-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-01-23 21:41:30 EST
mr-0.35-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Andy Grover 2011-09-09 01:01:07 EDT
Package Change Request
======================
Package Name: mr
New Branches: el5 el6
Owners: fab

Hi, wanted to get mr added to epel?
Comment 17 Gwyn Ciesla 2011-09-09 12:51:46 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.